org.vishia.gral.widget

## Class GralPlotArea.UserUnits

- java.lang.Object
- - org.vishia.gral.widget.GralPlotArea.UserUnits

- Enclosing class:
    GralPlotArea

      public class GralPlotArea.UserUnits
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `fx` User units for this area to draw somewhat in user units.
    `float` | `fy` User units for this area to draw somewhat in user units.
    `float` | `x0` User units for this area to draw somewhat in user units.
    `float` | `xmax` User units for this area to draw somewhat in user units.
    `float` | `y0` User units for this area to draw somewhat in user units.
    `float` | `ymax` User units for this area to draw somewhat in user units.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UserUnits(float x0, float y0, float x1, float y1, boolean perGridPos)` Sets the user units

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x0

          public final float x0

      User units for this area to draw somewhat in user units.

    - #### y0

          public final float y0

      User units for this area to draw somewhat in user units.

    - #### xmax

          public final float xmax

      User units for this area to draw somewhat in user units.

    - #### ymax

          public final float ymax

      User units for this area to draw somewhat in user units.

    - #### fx

          public final float fx

      User units for this area to draw somewhat in user units.

    - #### fy

          public final float fy

      User units for this area to draw somewhat in user units.

  - ### Constructor Detail

    - #### UserUnits

          protected UserUnits(float x0,
                              float y0,
                              float x1,
                              float y1,
                              boolean perGridPos)

      Sets the user units
      Parameters:
        `x0` - origin, x-Coordinate, bottom left
        `y0` - origin, y-Coordinate, bottom left
        `x1` - x-Coordinate, right
        `y1` - y-Coordinate top right